@use "../../styles/variables/colors.scss";

.side-bar {
  display: flex;
  flex-direction: column;
  font-family: "Segoe UI", Arial, sans-serif;
  color: colors.$white;
  height: 100%;
}

.sidebar-item {
  display: flex;
  align-items: center;
  cursor: pointer;
  min-height: 52px;
  gap: 12px;
  border-radius: 10px;

  &:hover {
    background-color: colors.$link_hover;

    .sidebar-item__icon img {
      filter: brightness(1.1) contrast(0.8);
    }
  }

  &__bg {
    background-color: colors.$bg_light-gray;
    border-radius: 50%;
  }

  &__icon {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 10px;
    width: 36px;
    height: 36px;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      box-sizing: border-box;
      border-radius: 50%;
    }
    svg {
      width: 28px;
      height: 28px;
    }
  }

  &__name {
    font-size: 15px;
    font-weight: 500;
  }
}
